### Property

# Gtk ScrolledWindow:propagate-natural-width

since: 4.0

#### Declaration

    property propagate-natural-width: gboolean [ read, write ]

#### Description [src]

Whether the natural width of the child should be calculated and propagated through the scrolled window’s requested natural width.

This is useful in cases where an attempt should be made to allocate exactly enough space for the natural size of the child.

Type: | `gboolean`
Available since: | 4.0

Default value | FALSE
Getter method | `gtk_scrolled_window_get_propagate_natural_width()`
Setter method | `gtk_scrolled_window_set_propagate_natural_width()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no